Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004054Dwarf FortressDwarf Mode -- Stockpilespublic2011-02-22 06:152011-04-06 12:37
ReporterGauHelldragon 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.31.23 
Summary0004054: Food stockpiles refuse to use barrels.
DescriptionI have plenty of barrels, and yet my dwarfs have decided to start leaving food on the floor instead of storing it properly. I have plenty of idlers and barrels, and have not messed with the barrel settings.

It is also worth noting that I have made several 'Large Green Glass Pots' which are also not being used. I have a feeling they might be part of the problem.

Here is the save: http://dffd.wimbli.com/file.php?id=3834 [^]
Tagsfood, pots, Save Included, stockpiles
Attached Files

- Relationships
related to 0003975resolvedToady One Unable to use Large stone pots as barrels 
related to 0002962resolvedFootkerchief Bins? Barrels? Who needs 'em?! 
related to 0004050resolvedToady One Plants stored in large glass pots are not used by jobs, and other irregularities with pots 
related to 0004021resolvedToady One Bird claims multiple nest boxes but uses none 
related to 0004087resolvedToady One Dwarfs keep moving large stone pots into new stockpiles. 
related to 0010074needs feedbackLoci Wont store food in barrels 

-  Notes
(0015396)
JimboOmega (reporter)
2011-02-22 09:10

Looks like a dupe of 2962 (which is bothering me too in this release):
http://bay12games.com/dwarves/mantisbt/view.php?id=2962 [^]
(0015551)
Seraph (reporter)
2011-02-27 18:22

I was having this problem and I was able to 'fix' it by dumping all my nest boxes.
(0015576)
Footkerchief (manager)
2011-02-28 08:40

Reminder sent to: GauHelldragon

Can anyone corroborate that this issue is linked to nest boxes, as mentioned by Seraph at 0004054:0015551?
(0015604)
Seraph (reporter)
2011-02-28 18:33

I have a save where you can see it happen pretty clearly. Load the save and do one of the two following things:
A) Do nothing and food stockpiles don't use barrels correctly.
B) Define a dump and dump the 4 nest boxes I have and suddenly barrels start being utilized normally.

The caveat is that I've edited the raws pretty heavily (fewer stones, no goblin ambushes, and maybe no-eat humans) but if you want it I can upload it.
(0015605)
Footkerchief (manager)
2011-02-28 18:43

Reminder sent to: Seraph

Yeah, those raw mods shouldn't matter for this issue (hopefully). Uploading it would be great.
(0015607)
Granite26 (reporter)
2011-02-28 20:36

Foot, I haven't seen the issue and I haven't created a nest box.

~P -> ~Q ~> P->Q and all that, but...
(0015623)
Seraph (reporter)
2011-02-28 23:48

FWIW: I was able to "fix" GauHelldragon's save by going into the stocks menu and dumping everything listed under "tools".

Also, my save is available on DFFD
http://dffd.wimbli.com/file.php?id=3873 [^]

There is also a thread on the forum talking about this (where I got the idea to dump the nest boxes)
http://www.bay12forums.com/smf/index.php?topic=77812.0 [^]
(0015634)
Mettool (reporter)
2011-03-01 13:46

This happened to me as well. However, it was two unused hives that were causing it in my save, as I had no unused nest boxes.
(0015718)
bowdown2q (reporter)
2011-03-03 13:51

I had this issue until I dumped all tools. They are fairly slow at moving the food into barrels though.
(0015961)
GRead (reporter)
2011-03-08 09:29

I think this bug has been fixed; I was getting it in the previous version, but on updating it's gone. Presumably all tools counting as containers was holding up the use of actual containers, and with that fixed it's no longer an issue.
Anyone still getting this?
(0016525)
Orkel2 (reporter)
2011-03-24 15:15

I'm getting it in .22

Bunch of plump helmets and seeds in my stockpiles for a very long time now, no one is taking them into a barrel. I have a lot of spare pots and barrels in my furniture stockpile, and a lot of idlers.
(0016526)
Rhenaya (reporter)
2011-03-24 15:33

orkel2 you have bags? seeds wont be stored in barrels without bags
(0016529)
Orkel2 (reporter)
2011-03-24 16:10

Yep I made bags and they worked.

Plump Helmets are still in the open by the dozens.
(0016530)
Orkel2 (reporter)
2011-03-24 16:14

Picture for proof:

http://horobox.co.uk/u/Orkel_1301107151.png [^]
(0016533)
Footkerchief (manager)
2011-03-24 16:57

Reminder sent to: Orkel2

A save would be much more helpful than a screenshot in this case. http://dffd.wimbli.com/ [^]

Is the food stockpile's barrel limit sufficiently high? Are the barrels unforbidden? Are there dwarves with the appropriate burrow permissions and labors enabled?
(0016568)
Orkel2 (reporter)
2011-03-25 06:59
edited on: 2011-03-25 07:08

It was fixed when instead of two food stockpiles next to eachother, I removed them both and made it one big stockpile. The dwarves then used the barrels and pots. So that might be something to reproduce it with.

Edit: Scratch that, it happens again. I'll upload a save.

(0016571)
Orkel2 (reporter)
2011-03-25 07:28

My save: http://dffd.wimbli.com/file.php?id=4033 [^]
(0016587)
Orkel2 (reporter)
2011-03-25 12:18
edited on: 2011-03-25 15:00

I think I found out something. It seems that the food stockpile isn't using up slots that have been used before. I made a new one, and they put large pots at the top, but slowly over time the pots are drifting downwards as they get emptied, refilled and put back on the stockpile, but never in a spot that has been in use before. Comparison screenshots, as the save is above:

Before http://cloud.steampowered.com/ugc/542889549681093446/F88CAC8665DE23CA65361071CE09D74E1A7D2680/ [^]

After http://cloud.steampowered.com/ugc/542889549681092060/739E83B03AFEFD6FDE8751F654A66EBBE6158FC3/ [^]

Used food stockpile slots are not reused, it's my suspicion and might be right or wrong.

(0016621)
Toady One (administrator)
2011-03-26 02:43

I've cleaned this one up -- in Orkel's save at the bottom of the comments, they clean up the messy stockpile immediately on load now (though it takes a while!)

- Issue History
Date Modified Username Field Change
2011-02-22 06:15 GauHelldragon New Issue
2011-02-22 06:16 GauHelldragon Tag Attached: food
2011-02-22 06:16 GauHelldragon Tag Attached: pots
2011-02-22 06:16 GauHelldragon Tag Attached: Save Included
2011-02-22 06:16 GauHelldragon Tag Attached: stockpiles
2011-02-22 08:16 Footkerchief Relationship added related to 0003975
2011-02-22 09:10 JimboOmega Note Added: 0015396
2011-02-22 09:47 Footkerchief Relationship added parent of 0002962
2011-02-27 18:22 Seraph Note Added: 0015551
2011-02-27 18:22 Seraph Issue Monitored: Seraph
2011-02-27 18:23 Footkerchief Relationship replaced related to 0002962
2011-02-27 18:29 Footkerchief Relationship added related to 0004050
2011-02-27 18:29 Footkerchief Relationship added related to 0003986
2011-02-28 08:38 Footkerchief Relationship added related to 0004087
2011-02-28 08:39 Footkerchief Note Added: 0015575
2011-02-28 08:39 Footkerchief Note Deleted: 0015575
2011-02-28 08:40 Footkerchief Note Added: 0015576
2011-02-28 18:33 Seraph Note Added: 0015604
2011-02-28 18:42 Footkerchief Relationship added related to 0004021
2011-02-28 18:43 Footkerchief Note Added: 0015605
2011-02-28 20:36 Granite26 Note Added: 0015607
2011-02-28 23:48 Seraph Note Added: 0015623
2011-03-01 13:46 Mettool Note Added: 0015634
2011-03-03 13:51 bowdown2q Note Added: 0015718
2011-03-03 15:17 Footkerchief Tag Attached: Fixed in 0.31.20?
2011-03-03 17:21 Hieronymous Alloy Issue Monitored: Hieronymous Alloy
2011-03-04 18:32 Khym Chanur Issue Monitored: Khym Chanur
2011-03-06 19:31 Footkerchief Relationship added related to 0004149
2011-03-06 19:31 Footkerchief Relationship added related to 0003071
2011-03-07 11:39 Footkerchief Relationship added related to 0004154
2011-03-08 09:29 GRead Note Added: 0015961
2011-03-09 10:28 Footkerchief Tag Detached: Fixed in 0.31.20?
2011-03-09 10:28 Footkerchief Tag Attached: Fixed in 0.31.22?
2011-03-09 10:31 Footkerchief Relationship deleted related to 0004149
2011-03-09 10:32 Footkerchief Relationship deleted related to 0004154
2011-03-09 10:32 Footkerchief Relationship deleted related to 0003986
2011-03-09 11:26 Footkerchief Relationship deleted related to 0003071
2011-03-24 15:15 Orkel2 Note Added: 0016525
2011-03-24 15:33 Rhenaya Note Added: 0016526
2011-03-24 16:10 Orkel2 Note Added: 0016529
2011-03-24 16:14 Orkel2 Note Added: 0016530
2011-03-24 16:57 Footkerchief Issue Monitored: Orkel2
2011-03-24 16:57 Footkerchief Note Added: 0016533
2011-03-25 06:59 Orkel2 Note Added: 0016568
2011-03-25 07:08 Orkel2 Note Edited: 0016568 View Revisions
2011-03-25 07:28 Orkel2 Note Added: 0016571
2011-03-25 12:18 Orkel2 Note Added: 0016587
2011-03-25 12:31 Footkerchief Tag Detached: Fixed in 0.31.22?
2011-03-25 13:12 Orkel2 Note Edited: 0016587 View Revisions
2011-03-25 15:00 Orkel2 Note Edited: 0016587 View Revisions
2011-03-26 02:43 Toady One Note Added: 0016621
2011-03-26 02:43 Toady One Status new => resolved
2011-03-26 02:43 Toady One Fixed in Version => 0.31.23
2011-03-26 02:43 Toady One Resolution open => fixed
2011-03-26 02:43 Toady One Assigned To => Toady One
2011-03-27 15:14 Khym Chanur Issue End Monitor: Khym Chanur
2011-04-06 12:37 Seraph Issue End Monitor: Seraph
2016-11-17 13:40 Loci Relationship added related to 0010074


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker